org.apache.mina.http

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.http.HttpException

All Implemented Interfaces:
  Serializable

    public class HttpException
    extends RuntimeException

Author:
  Apache MINA Project
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpException(int statusCode)`
`HttpException(int statusCode, String message)`

### Method Summary

Methods
`int` `getStatusCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpException

    public HttpException(int statusCode)

#### HttpException

    public HttpException(int statusCode,
                 String message)

### Method Detail

#### getStatusCode

    public int getStatusCode()